org.apache.tools.ant.taskdefs.optional.perforce

## Class P4Reopen

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.perforce.P4Base
      - - org.apache.tools.ant.taskdefs.optional.perforce.P4Reopen

All Implemented Interfaces:
  java.lang.Cloneable

    public class P4Reopen
    extends P4Base

Reopen Perforce checkout files between changelists.

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`P4Reopen()`

### Method Summary

Methods
`void` `execute()` do the work
`void` `setToChange(java.lang.String toChange)` The changelist to move files to; required.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

`execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P4Reopen

    public P4Reopen()

### Method Detail

#### setToChange

    public void setToChange(java.lang.String toChange)
                     throws BuildException

The changelist to move files to; required.

Parameters:
  `toChange` - new change list number
Throws:
  `BuildException` - if the change parameter is null or empty

#### execute

    public void execute()
                 throws BuildException

do the work

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if P4View is null